function trackAll( edgefile, isdir )

T = 1;

[src dst w] = textread(edgefile,'','delimiter',',');

%[src dst] = textread(edgefile);
%w = ones(length(src),1);
%src = src+1;
%dst = dst+1;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
N = max(max(src),max(dst))


egonetD = zeros(N,T);


egonetN = zeros(N,T); % nodes == egoD
egonetE = zeros(N,T); % edges
egonetW = zeros(N,T); % weight
egonetMaxW = zeros(N,T); % max edge weight
numneighdeg1 = zeros(N,T); % number of neighbors with degree=1

if(isdir)    
    egonetInD = zeros(N,T);
    egonetOutD = zeros(N,T);
    
    egoInD = zeros(N,T);
    egoOutD = zeros(N,T);
    
    egonetInW = zeros(N,T);
    egonetOutW = zeros(N,T);

    egoInW = zeros(N,T);
    egoOutW = zeros(N,T);

    egoMaxInW = zeros(N,T);
    egoMaxOutW = zeros(N,T);

else    
    egonetD = zeros(N,T);
    
    egonetW = zeros(N,T);

    egonetBW = zeros(N,T);
    
    egoW = zeros(N,T);
    egoMaxW = zeros(N,T);
end


   
   W = sparse(src, dst, w,N,N);
   A = W;
   A(A>0) = 1;
      
   
   Wsim = triu(W,1)+tril(W,-1)+W'; 
   Asim = Wsim;   
   Asim(Asim>0)=1;
   %Asim = triu(Asim,1) + tril(Asim, -1); %%%comment-out if there ARE selfloops
   
   if(isdir)       
        egoInD(1:N,1) = sum(A,1)';
        egoOutD(1:N,1) = sum(A,2); 
        egoInW(1:N,1) = sum(W,1)';
        egoOutW(1:N,1) = sum(W,2);

        egoMaxInW(1:N,1) = max(W,[],1)';
        egoMaxOutW(1:N,1) = max(W,[],2);
   else
        egoW(1:N,1) = sum(Wsim,2);
        egoMaxW(1:N,1) = max(Wsim,[],2);
   end
   
   
   degrees = sum(Asim,2);

   for i=1:N
	i
          neigh = find(Asim(i,:) == 1);

	   neighdegrees = degrees(neigh);
          numneighdeg1(i,1) = sum(neighdegrees == 1);

          neigh = [neigh i];
          
	             

          diregonetw = W(neigh,neigh);          
          diregonet = logical(diregonetw);
          
          
          egonet = triu(diregonet,1)+tril(diregonet,-1)+diregonet'; 
          egonet(egonet>0)=1;
          
          egonetN(i,1) = length(neigh);
          egonetE(i,1) = sum(sum(egonet))/2;
          
          
          egonetW(i,1) = sum(sum(diregonetw));
          
	   egonetMaxW(i,1) = max(max(diregonetw));

          if(isdir)                  
              x = sum(sum(diregonet));
          
              egonetOutD(i,1) = sum(sum(A(neigh, :))) - x;
              egonetInD(i,1) = sum(sum(A(:,neigh))) - x;
              
              egonetOutW(i,1) = sum(sum(W(neigh, :))) - egonetW(i,1);
              egonetInW(i,1) = sum(sum(W(:,neigh))) - egonetW(i,1);
          else
              egonetD(i,1) = sum(sum(Asim(neigh, :))) - 2*egonetE(i,1);
              
              egonetBW(i,1) = sum(sum(Wsim(neigh, :))) - 2*egonetW(i,1);
          end
          
          
          
   end

  
if(isdir)
  features = [egonetN egonetE egonetW egonetInD egonetOutD egonetInW egonetOutW egoInD egoOutD egoInW egoOutW egonetMaxW egoMaxInW egoMaxOutW numneighdeg1];
%save(strcat(edgefile,'_features.mat'),'features')
else
  features = [egonetN egonetE egonetW egonetD egonetBW egoW egonetMaxW egoMaxW numneighdeg1];  
end


dlmwrite(strcat(edgefile,'_features_all.txt'), features, 'delimiter', '\t')

end

